%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-spi
Version:          2.1.0
Release:          2%{?dist}
Summary:          JBossWS SPI
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/spi/tags/jbossws-spi-2.1.0.Final/ jbossws-spi-2.1.0.Final
# tar cafJ jbossws-spi-2.1.0.Final.tar.xz jbossws-spi-2.1.0.Final
Source0:          jbossws-spi-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-help-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    jboss-jms-1.1-api
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jbossws-api >= 1.0.1
BuildRequires:    jbossws-parent

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-jms-1.1-api
Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         jboss-servlet-3.0-api
Requires:         jbossws-api >= 1.0.1

%description
JBoss WS SPI classes

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-spi-%{namedversion}

%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Wed Nov 21 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Updated jbossws-api dependency

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final
- Spec cleanup

* Tue Oct 02 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.3-4
- Add jbossws-parent BR
- Use POM macros instead of patch
- Enable tests

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-2
- Make Message.properties available in jar

* Fri May 4 2012 Patryk Obara <pobara@redhat.com> 2.0.3-1
- Initial packaging

